CREATE OR REPLACE VIEW VW_ATRD AS
SELECT A.ATRD_ID AS ARTERYID, A.ATRD_NM AS ARTERYNAME, A.DRCT_CD AS DIRECTION, DECODE(A.DRCT_CD, '0',  '»óÇà', 'ÇÏÇà') AS DIRECTIONNAME, 
       SUM(C.SECT_LNGT) AS ARTERYLENGHT
  FROM TB_ATRD A, TB_ATRD_ROAD_RLTN B, TB_ROAD C
 WHERE 1=1
   AND A.ATRD_ID = B.ATRD_ID
   AND B.ROAD_ID = C.ROAD_ID
 GROUP BY A.ATRD_ID, A.ATRD_NM, A.DRCT_CD
 ;